# Function safeThreshold

- safeThreshold<K1>(args_0): (K1 extends bigint
  ? `bigint(${K1})`
  : K1 extends boolean
  ? `boolean(${K1})`
  : K1) extends "Ethereum"
  ? {
  Ethereum: 32;
  }["Ethereum" & (K1 extends bigint
  ? `bigint(${K1})`
  : K1 extends boolean
  ? `boolean(${K1})`
  : K1)] extends {
  [key: string]: unknown;
  }
  ? {
  Ethereum: 32;
  }["Ethereum" & (K1 extends bigint
  ? `bigint(${K1})`
  : K1 extends boolean
  ? `boolean(${K1})`
  : K1)]
  : {
  Ethereum: 32;
  }["Ethereum" & (K1 extends bigint
  ? `bigint(${K1})`
  : K1 extends boolean
  ? `boolean(${K1})`
  : K1)]
  : never

- #### Type Parameters

  - #### K1 extends "Ethereum"

  #### Parameters

  - ##### args_0: K1

  #### Returns (K1 extends bigint
  ? `bigint(${K1})`
  : K1 extends boolean
  ? `boolean(${K1})`
  : K1) extends "Ethereum"
  ? {
  Ethereum: 32;
  }["Ethereum" & (K1 extends bigint
  ? `bigint(${K1})`
  : K1 extends boolean
  ? `boolean(${K1})`
  : K1)] extends {
  [key: string]: unknown;
  }
  ? {
  Ethereum: 32;
  }["Ethereum" & (K1 extends bigint
  ? `bigint(${K1})`
  : K1 extends boolean
  ? `boolean(${K1})`
  : K1)]
  : {
  Ethereum: 32;
  }["Ethereum" & (K1 extends bigint
  ? `bigint(${K1})`
  : K1 extends boolean
  ? `boolean(${K1})`
  : K1)]
  : never

  - Defined in core/base/dist/esm/constants/finality.d.ts:7

Generated using TypeDoc